org.apache.lucene.facet.sortedset

## Class SortedSetDocValuesReaderState.OrdRange

- java.lang.Object
- - org.apache.lucene.facet.sortedset.SortedSetDocValuesReaderState.OrdRange

Enclosing class:
  SortedSetDocValuesReaderState

    public static final class SortedSetDocValuesReaderState.OrdRange
    extends Object

Holds start/end range of ords, which maps to one dimension (someday we may generalize it to map to hierarchies within one dimension).

### Field Summary

Fields
`int` `end` End of range, inclusive:
`int` `start` Start of range, inclusive:

### Constructor Summary

Constructors
Constructor and Description
`OrdRange(int start, int end)` Start and end are inclusive.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### start

    public final int start

Start of range, inclusive:

#### end

    public final int end

End of range, inclusive:

### Constructor Detail

#### OrdRange

    public OrdRange(int start,
                    int end)

Start and end are inclusive.